using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class updatetableRetirementResignsaddresaonapprove : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "ApproveReason",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "เหตุผลอนุมัติ")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "RejectReason",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "เหตุผลไม่อนุมัติ")
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "ApproveReason",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "RejectReason",
                table: "RetirementResigns");
        }
    }
}
